#include "inputdialog.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

InputDialog::InputDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : _InputDialog( parent, name, modal, fl )
{
	connect(PushButton1, SIGNAL(clicked()),
			this, SLOT(okClicked()));
}

InputDialog::~InputDialog()
{
}

void InputDialog::okClicked()
{
	accept();
}

void InputDialog::setText(QString const &str)
{
	LineEdit1->setText(str);
}

QString InputDialog::getText()
{
	return LineEdit1->text();
}
